Bug 688958 (CVE-2011-1148) - CVE-2011-1148 php: use-after-free vulnerability in substr_replace()
Summary: CVE-2011-1148 php: use-after-free vulnerability in substr_replace()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1148
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On: 740731 740732 740733 740734 768025 769756 831135
Blocks: 715030 750552
TreeView+ depends on / blocked
 
Reported: 2011-03-18 16:30 UTC by Vincent Danen
Modified: 2019-09-29 12:43 UTC (History)
5 users (show)

Fixed In Version: php 5.3.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-19 22:21:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1423 normal SHIPPED_LIVE Moderate: php53 and php security update 2011-11-02 22:24:16 UTC
Red Hat Product Errata RHSA-2012:0033 normal SHIPPED_LIVE Moderate: php security update 2012-01-18 23:40:02 UTC

Description Vincent Danen 2011-03-18 16:30:58 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1148 to
the following vulnerability:

Name: CVE-2011-1148
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1148
Assigned: 20110303
Reference: http://openwall.com/lists/oss-security/2011/03/13/2
Reference: http://openwall.com/lists/oss-security/2011/03/13/3
Reference: http://openwall.com/lists/oss-security/2011/03/13/9
Reference: http://bugs.php.net/bug.php?id=54238
Reference: http://www.securityfocus.com/bid/46843
Reference: http://xforce.iss.net/xforce/xfdb/66080

Use-after-free vulnerability in the substr_replace function in PHP
5.3.6 and earlier allows context-dependent attackers to cause a denial
of service (memory corruption) or possibly have unspecified other
impact by using the same variable for multiple arguments.

Comment 3 Vincent Danen 2011-08-18 16:15:24 UTC
This is corrected in upstream 5.3.7:
http://www.php.net/archive/2011.php#id2011-08-18-1

Comment 6 errata-xmlrpc 2011-11-02 22:24:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1423 https://rhn.redhat.com/errata/RHSA-2011-1423.html

Comment 8 Huzaifa S. Sidhpurwala 2012-01-17 04:08:06 UTC
This issue did not affect the version of php shipped with Fedora 15 and Fedora 16.

Comment 9 Tomas Hoger 2012-01-17 08:34:17 UTC
(In reply to comment #8)
> This issue did not affect the version of php shipped with Fedora 15 and Fedora
> 16.

It's probably less confusing to say that Fedora 15 and 16 are not affected by this issue as they ship fixed upstream version.  F-15, however, included php 5.3.6 at GA and as this issue was first fixed upstream in 5.3.7 (see comment #3), it probably was affected by this issue for some time.

Comment 10 Vincent Danen 2012-01-18 17:39:31 UTC
Statement:

This issue did not affect the versions of php as shipped with Red Hat Enterprise Linux 4.

Comment 11 errata-xmlrpc 2012-01-18 18:44:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0033 https://rhn.redhat.com/errata/RHSA-2012-0033.html


Note You need to log in before you can comment on or make changes to this bug.